Bug 848222 - (CVE-2012-3493) CVE-2012-3493 condor: GIVE_REQUEST_AD leaks privileged ClaimId information
CVE-2012-3493 condor: GIVE_REQUEST_AD leaks privileged ClaimId information
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120919,repor...
: Security
Depends On: 837623 858867
Blocks: 828434 846654
  Show dependency treegraph
 
Reported: 2012-08-14 18:53 EDT by Vincent Danen
Modified: 2012-09-20 17:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: condor 7.6.10, condor 7.8.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-14 18:53:26 EDT
Florian Weimer of the Red Hat Product Security Team found that an unauthenticated user able to connect to the Condor startd TCP port could request ads, provided they could guess or brute force the PID of the process, due to how the GIVE_REQUEST_AD handler is registered.  The ads contains a lot of already-public information for users with READ privileges, however it also provides the ClaimId (as opposed to the PublicClaimId which truncates the full value of the ClaimID).  If an attacker could obtain the private ClaimId, they could use it to control the running job, and also start new jobs on the system.
Comment 2 Vincent Danen 2012-09-19 11:54:56 EDT
Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 3 errata-xmlrpc 2012-09-19 13:45:26 EDT
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:1278 https://rhn.redhat.com/errata/RHSA-2012-1278.html
Comment 4 errata-xmlrpc 2012-09-19 13:53:20 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1281 https://rhn.redhat.com/errata/RHSA-2012-1281.html
Comment 5 Vincent Danen 2012-09-19 17:07:35 EDT
Created condor tracking bugs for this issue

Affects: fedora-all [bug 858867]
Comment 6 Vincent Danen 2012-09-19 18:01:02 EDT
This has been resolved in upstream 7.6.10 and 7.8.4:

https://lists.cs.wisc.edu/archive/condor-users/2012-September/msg00077.shtml
Comment 7 Vincent Danen 2012-09-20 17:48:32 EDT
Upstream git commit:

http://condor-git.cs.wisc.edu/?p=condor.git;a=commitdiff;h=d2f33972

Note You need to log in before you can comment on or make changes to this bug.